[centos-users 1409] Re: rlwrap でハングアップ・エラー

katagiri e.katagiri @ teikokupr.co.jp
2010年 7月 22日 (木) 17:31:12 JST


片桐です。

自己フォローです。

本日、sqlite-3.7.0 がリリースされました。
sqlite のバージョンアップを実施しました。
その後、rlwrap のハングアップの原因を調査しようと
したところ、ハングアップがなくなって正常に動作しました (?_?)

ハングアップが発生する前に、sqlite が必要になって、
sqlite-3.6.23.1 をインストールしました。rlwrap に sqliteは
無関係のはずですが。

$ ldd /usr/local/bin/rlwrap 
        libutil.so.1 => /lib/libutil.so.1 (0x00606000)
        libreadline.so.6 => /usr/local/gnu/lib/libreadline.so.6 (0x00ec5000)
        libncurses.so.5 => /usr/lib/libncurses.so.5 (0x05dc6000)
        libc.so.6 => /lib/tls/libc.so.6 (0x0099f000)
        libdl.so.2 => /lib/libdl.so.2 (0x00af0000)
        /lib/ld-linux.so.2 (0x00986000)

何が原因だったのだろう。兎に角、解決しました。
お騒がせしました。

On Tue, 20 Jul 2010 08:44:27 +0900
katagiri <e.katagiri @ teikokupr.co.jp> wrote:

> 片桐です。
> 
> RHEL-4 の開発環境として、CentOS-5.5 を使用しています。
> トラブっているのは、RHELの方なのでこちらポストするのは
> 筋違いかも知れませんが、よろしくお願いします。
> 
> rlwrap-0.37 を使用していますが、CentOS-5.5 では問題なく動いています。
> 
> 〜〜〜〜〜〜〜〜 ここから 〜〜〜〜〜〜〜〜〜〜
> $ /usr/local/bin/rlwrap /ifs/bin/prdmy
> 品番を入力して下さい。[XXX-]XXXXXX[-X] or ? or E/e
> 073055
> 
> # K01-073055-0
> ハングアップ
> 〜〜〜〜〜〜〜〜 ここまで 〜〜〜〜〜〜〜〜〜〜
> 
> prdmy はPythonプログラムです。
> この「ハングアップ」の意味は何でしょうか?
> 
> rlwrap のコンパイル時にreadline のバージョンが古くてコンパイル・エラーが
> 発生しました。そこで、readline-6.1 をインストールしました。
> rlwrap のコンパイルはOKでした。
> Pythonのreadline もバージョンを一致させましたが、状況は変わりません。
> 
> CentOS-5.5 は readline-5.1 なので普通にインストールするだけで
> 問題ありません。RHEL-5 も問題ありません。
> 
> アドバイスをお願いします。
> 
> _______________________________________________
> centos-users mailing list
> centos-users @ oss.poyo.jp
> http://oss.poyo.jp/mailman/listinfo/centos-users
> CentOS Japanese Planet:
> http://oss.poyo.jp/centos-ja/planet/




centos-users メーリングリストの案内